part of 'account_bloc.dart';

@immutable
abstract class AccountEvent extends Equatable {
  const AccountEvent();

  @override
  List<Object> get props => [];
}

class AccountChangeCustomer extends AccountEvent {
  const AccountChangeCustomer();
}

class AccountLogout extends AccountEvent {
  const AccountLogout();
}

class AccountLogin extends AccountEvent {
  const AccountLogin();
}

class AccountLogInFinished extends AccountEvent {
  final Customer customer;

  const AccountLogInFinished({required this.customer});

  @override
  List<Object> get props => [customer];
}

class AccountGetTrainees extends AccountEvent {
  const AccountGetTrainees();
}

class AccountSelectTrainee extends AccountEvent {
  final int traineeId;
  const AccountSelectTrainee({required this.traineeId});

  @override
  List<Object> get props => [traineeId];
}
